com.intellectualcrafters.plot.object

## Class BlockWrapper

- java.lang.Object
- - com.intellectualcrafters.plot.object.BlockWrapper

-     public class BlockWrapper
      extends java.lang.Object

  Wrapper class for blocks, using pure data rather than the object.

  Useful for NMS

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `data`
    `int` | `id`
    `int` | `x`
    `int` | `y`
    `int` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockWrapper(int x, int y, int z, short id, byte data)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public final int x

    - #### y

          public final int y

    - #### z

          public final int z

    - #### id

          public final int id

    - #### data

          public final byte data

  - ### Constructor Detail

    - #### BlockWrapper

          public BlockWrapper(int x,
                      int y,
                      int z,
                      short id,
                      byte data)

      Constructor
      Parameters:
        `x` - X Loc Value
        `y` - Y Loc Value
        `z` - Z Loc Value
        `id` - Material ID
        `data` - Data Value